Docs Kling /kling/v1/images/omni-image
API reference

Omni-Image

POST/kling/v1/images/omni-image

Body Parametersapplication/json

aspect_ratio string

Aspect ratio (W:H) enum: 16:9, 9:16, 1:1, 4:3, 3:4, 3:2, 2:3, 21:9, auto auto: smart from input ignored when matching source aspect ratio

callback_url string

Callback URL invoked on task completion

external_task_id string

Custom external task ID for business-side correlation

image_list array

reference image list

items
object object
model_name* string

Model name enum: kling-image-o1,kling-v3-omni

n integer

Number of images to generate range: [1,9]

prompt* string

text prompt, may include positive and negative descriptions templates can be used for different image needs max 2500 characters

resolution string

Output clarity enum: 1k, 2k 1k: 1K SD 2k: 2K HD

result_type string

Single / series switch enum: single, series

series_amount integer

Images in series ● range: [2, 9] ignored when result_type is single

watermark_info object

whether to also generate a watermarked result ● defined by enabled, as key:value, as follows: : "watermark_info": { "enabled": boolean // true=generate, false=do not generate } ● custom watermarks are not supported yet

properties
enabled* boolean

Whether enabled

Responses

200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"aspect_ratio": "",
3"callback_url": "",
4"element_list": [
5{
6"element_id": "835266081714884677"
7}
8],
9"external_task_id": "",
10"model_name": "kling-image-o1",
11"n": 1,
12"prompt": "生成一张海边跳舞的图片",
13"resolution": ""
14}
Code Sample cURL
1curl -X POST "https://api.digislash.com/kling/v1/images/omni-image" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"aspect_ratio": "",
6"callback_url": "",
7"element_list": [
8{
9"element_id": "835266081714884677"
10}
11],
12"external_task_id": "",
13"model_name": "kling-image-o1",
14"n": 1,
15"prompt": "生成一张海边跳舞的图片",
16"resolution": ""
17}'
Response
1▼{
2"code": 0,
3▼"data": {
4"task_id": "task_example_001"
5},
6"message": "success"
7}